【活用ガイド】

[English]

JVNDB-2015-000033

jBCrypt におけるストレッチング処理に関する脆弱性

概要

jBCrypt はパスワードのハッシュ値を計算する Java 実装です。jBCrypt には、ストレッチング処理の回数を指定する引数を最大の 31 に設定した場合に整数オーバーフローが発生し、ストレッチング処理が正しく行われなくなる問題が存在します。

この脆弱性情報は、情報セキュリティ早期警戒パートナーシップに基づき下記の方が IPA に報告し、JPCERT/CC が開発者との調整を行いました。
報告者: 上妻 宜人 氏

CVSS による深刻度 (CVSS とは?)

基本値: 2.6 (注意) [IPA値]
  • 攻撃元区分: ネットワーク
  • 攻撃条件の複雑さ: 高
  • 攻撃前の認証要否: 不要
  • 機密性への影響(C): 部分的
  • 完全性への影響(I): なし
  • 可用性への影響(A): なし

影響を受けるシステム


mindrot.org
  • jBCrypt 0.3 およびそれ以前

想定される影響

遠隔の第三者によってパスワードのハッシュ値を取得された場合に、総当たり攻撃によって容易にパスワードを解読される可能性があります。
対策

[アップデートする]
開発者が提供する情報をもとに、最新版へアップデートしてください。
ベンダ情報

mindrot.org
CWEによる脆弱性タイプ一覧  CWEとは?

  1. その他(CWE-Other) [IPA評価]
共通脆弱性識別子(CVE)  CVEとは?

  1. CVE-2015-0886
参考情報

  1. JVN : JVN#77718330
  2. National Vulnerability Database (NVD) : CVE-2015-0886
  3. 関連文書 : OpenSSH: Bugs
更新履歴

[2015年02月27日]
  掲載
[2015年03月03日]
  参考情報:National Vulnerability Database (NVD) (CVE-2015-0886) を追加